Scriptname SweepMagicEffect extends activemagiceffect  

Package Property SweepPackage Auto
Actor Property PlayerRef Auto
Idle Property idleLooseSweepingStart Auto

Event OnEffectStart(Actor akCaster, Actor akTarget)
	if akCaster!=PlayerRef
		Dispel()
		return
	endIf
	
	Game.setPlayerAIDriven(true)
	Game.ForceThirdPerson()
	akCaster.stopCombat()
	akCaster.SheatheWeapon()
	ActorUtil.AddPackageOverride(PlayerRef, SweepPackage, 100)

	Debug.sendAnimationEvent(akCaster, "idleForceDefaultState")
	Utility.wait(0.2)
	if !akCaster.playIdle(idleLooseSweepingStart)
		debug.notification("Cannot Sweep")
		Game.setPlayerAIDriven(false)	
		ActorUtil.RemovePackageOverride(PlayerRef, SweepPackage)
		Dispel()
		return
	endIf
	Utility.wait(10.0)

	Game.setPlayerAIDriven(false)	
	ActorUtil.RemovePackageOverride(PlayerRef, SweepPackage)
	Dispel()
endEvent

Event OnEffectFinish(Actor akCaster, Actor akTarget)
	Game.setPlayerAIDriven(false)
	ActorUtil.RemovePackageOverride(PlayerRef, SweepPackage)
endEvent
